Gtk2::Orientable(3p)

NAME
Gtk2::Orientable - Interface for flippable widgets

HIERARCHY
  Glib::Interface
  +----Gtk2::Orientable

METHODS

  orientation = $orientable->get_orientation

  $orientable->set_orientation ($orientation)

•   $orientation (Gtk2::Orientation)

PROPERTIES

'orientation' (Gtk2::Orientation : default "horizontal" : readable / writable / private / static-nick / static-blurb)
    The orientation of the orientable

ENUMS AND FLAGS

  enum Gtk2::Orientation

•   'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'

•   'vertical' / 'GTK_ORIENTATION_VERTICAL'

SEE ALSO
Gtk2, Glib::Interface

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.